#include <algorithm> // wg. remove
#include "Komponente.h"

using namespace std;


void Komponente::addLieferant(const Lieferant& li) 
{
   container.push_back(li);
}


void Komponente::entferneLieferant(const Lieferant& li)
{
   container.erase(
      remove(container.begin(), container.end(), li),
      container.end());
}


bool Komponente::hatLieferant(const Lieferant& li) const {
   return (find(container.begin(), 
      container.end(), li) 
      != container.end());
}

#ifdef ALTE_LOESUNG
bool Komponente::hatLieferant(const Lieferant& li) const
{
   for (int i = 0; i < container.size(); ++i) {
      if (container[i] == li) {
         return true;
      }
   }
   return false;
}
#endif

